// assets.h

//----------------------------------------------------
// sprites: bricks and coins

static const unsigned char brick8x8[] PROGMEM = {0x77, 0x76, 0x75, 0x70, 0x77, 0x67, 0x57, 0x07};
static const unsigned char topbrick[] PROGMEM ={0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x57, 0x07};
static const unsigned char block8x8[] PROGMEM = {0xFF, 0x81, 0xBD, 0x85, 0x85, 0x85, 0x81, 0xFF};
static const unsigned char coin1[] PROGMEM = {0x3C, 0x7E, 0xE7, 0xFF, 0xFF, 0xFF, 0x7E, 0x3C};
static const unsigned char coin2[] PROGMEM = {0x00, 0x00, 0x7E, 0xCF, 0xFF, 0x7E, 0x00, 0x00};
static const unsigned char coin3[] PROGMEM = {0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00};


//----------------------------------------------------
// sprites: mario and pipe

#define mario_w 16
#define mario_h 16

static const unsigned char mario_idle[] PROGMEM = {0, 0, 0, 0, 0, 0, 0, 48, 32, 184, 32, 253, 96, 225, 48, 60, 176, 60, 240, 224, 96, 252, 192, 189, 128, 57, 0, 0, 0, 0, 0, 0};
static const unsigned char mario_walk1[] PROGMEM = {0, 0, 0, 0, 0, 12, 16, 124, 144, 108, 176, 108, 24, 126, 88, 62, 120, 48, 48, 190, 224, 254, 192, 254, 0, 108, 0, 12, 0, 0, 0, 0};
static const unsigned char mario_walk2[] PROGMEM = {0, 0, 0, 0, 0, 0, 0, 0, 16, 0, 144, 88, 176, 116, 24, 254, 88, 240, 120, 254, 48, 240, 224, 62, 192, 28, 0, 0, 0, 0, 0, 0};
static const unsigned char mario_jump1[] PROGMEM = {0, 0, 0, 0, 0, 12, 32, 12, 32, 25, 96, 189, 48, 248, 176, 252, 240, 60, 96, 124, 192, 125, 128, 97, 0, 192, 0, 0, 0, 0, 0, 0};
static const unsigned char mario_jump2[] PROGMEM = {0, 0, 0, 0, 224, 56, 224, 49, 32, 51, 32, 45, 96, 125, 48, 124, 176, 108, 240, 252, 96, 252, 192, 125, 128, 109, 0, 200, 0, 0, 0, 0};



//----------------------------------------------------
// font_digits
// 5x7 font (in 6x8 cell)
//
// Note: Not in PROGMEM

const uint8_t digitsFont[] = 
{  
  0x00,0x3e,0x51,0x49,0x45,0x3e, //48 0
  0x00,0x00,0x42,0x7f,0x40,0x00, //49 1
  0x00,0x62,0x51,0x49,0x49,0x46, //50 2
  0x00,0x22,0x49,0x49,0x49,0x36, //51 3
  0x00,0x18,0x14,0x12,0x7f,0x10, //52 4
  0x00,0x2f,0x49,0x49,0x49,0x31, //53 5
  0x00,0x3c,0x4a,0x49,0x49,0x30, //54 6
  0x00,0x01,0x71,0x09,0x05,0x03, //55 7
  0x00,0x36,0x49,0x49,0x49,0x36, //56 8
  0x00,0x06,0x49,0x49,0x29,0x1e, //57 9
};


//----------------------------------------------------
// 5x7 character sprites in 6x8 cells 

#define CHAR_W 6
#define CHAR_H 8

const unsigned char char_SPACE[] PROGMEM =       {   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, }; //   0 
const unsigned char char_BANG[] PROGMEM =       {   0x00, 0x00, 0x00, 0x2f, 0x00, 0x00, }; // ! 1 
//const unsigned char char_DBL_QUOTE[] PROGMEM =    {   0x00, 0x00, 0x07, 0x00, 0x07, 0x00, }; // " 2 
//const unsigned char char_HASH[] PROGMEM =       {   0x00, 0x14, 0x7f, 0x14, 0x7f, 0x14, }; // # 3 
//const unsigned char char_DOLLAR[] PROGMEM =     {   0x00, 0x24, 0x2a, 0x7f, 0x2a, 0x12, }; // $ 4 
//const unsigned char char_PERCENT[] PROGMEM =    {   0x00, 0x23, 0x13, 0x08, 0x64, 0x62, }; // % 5 
//const unsigned char char_AMPERSAND[] PROGMEM =    {   0x00, 0x36, 0x49, 0x55, 0x22, 0x50, }; // & 6 
//const unsigned char char_SGL_QUOTE[] PROGMEM =    {   0x00, 0x00, 0x05, 0x03, 0x00, 0x00, }; // ' 7 
//const unsigned char char_LEFT_PAREN[] PROGMEM =   {   0x00, 0x00, 0x1c, 0x22, 0x41, 0x00, }; // ( 8 
//const unsigned char char_RIGHT_PAREN[] PROGMEM =  {   0x00, 0x00, 0x41, 0x22, 0x1c, 0x00, }; // ) 9 
//const unsigned char char_ASTERISK[] PROGMEM =     {   0x00, 0x14, 0x08, 0x3E, 0x08, 0x14, }; // * 10
//const unsigned char char_PLUS[] PROGMEM =       {   0x00, 0x08, 0x08, 0x3E, 0x08, 0x08, }; // + 11
//const unsigned char char_COMMA[] PROGMEM =      {   0x00, 0x00, 0x00, 0xA0, 0x60, 0x00, }; // , 12
//const unsigned char char_DASH[] PROGMEM =       {   0x00, 0x08, 0x08, 0x08, 0x08, 0x08, }; // - 13
const unsigned char char_PERIOD[] PROGMEM =     {   0x00, 0x00, 0x60, 0x60, 0x00, 0x00, }; // . 14
//const unsigned char char_SLASH[] PROGMEM =      {   0x00, 0x20, 0x10, 0x08, 0x04, 0x02, }; // / 15

const unsigned char char_COLON[] PROGMEM =      {   0x00, 0x00, 0x36, 0x36, 0x00, 0x00, }; // : 26
//const unsigned char char_SEMICOLON[] PROGMEM =    {   0x00, 0x00, 0x56, 0x36, 0x00, 0x00, }; // ; 27
//const unsigned char char_LT[] PROGMEM =       {   0x00, 0x08, 0x14, 0x22, 0x41, 0x00, }; // < 28
//const unsigned char char_EQUAL[] PROGMEM =      {   0x00, 0x14, 0x14, 0x14, 0x14, 0x14, }; // = 29
//const unsigned char char_GT[] PROGMEM =       {   0x00, 0x00, 0x41, 0x22, 0x14, 0x08, }; // > 30
//const unsigned char char_Q_MARK[] PROGMEM =     {   0x00, 0x02, 0x01, 0x51, 0x09, 0x06, }; // ? 31
//const unsigned char char_AT[] PROGMEM =       {   0x00, 0x32, 0x49, 0x59, 0x51, 0x3E, }; // @ 32

//const unsigned char char_LEFT_BRACKET[] PROGMEM =   {   0x00, 0x00, 0x7F, 0x41, 0x41, 0x00, }; // [ 59
//const unsigned char char_BACK_SLASH[] PROGMEM =   {   0x00, 0x02, 0x04, 0x08, 0x10, 0x20, }; // \ 60
//const unsigned char char_RIGHT_BRACKET[] PROGMEM =  {   0x00, 0x00, 0x41, 0x41, 0x7F, 0x00, }; // ] 61
//const unsigned char char_CARET[] PROGMEM =      {   0x00, 0x04, 0x02, 0x01, 0x02, 0x04, }; // ^ 62
//const unsigned char char_UNDERSCORE[] PROGMEM =   {   0x00, 0x40, 0x40, 0x40, 0x40, 0x40, }; // _ 63
//const unsigned char char_ACCENT[] PROGMEM =     {   0x00, 0x00, 0x01, 0x02, 0x04, 0x00, }; // ' 64

//const unsigned char char_LEFT_BRACE[] PROGMEM =   {   0x00, 0x08, 0x36, 0x41, 0x41, 0x00, }; // { 91
//const unsigned char char_VERT_BAR[] PROGMEM =     {   0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, }; // | 92
//const unsigned char char_RIGHT_BRACE[] PROGMEM =  {   0x00, 0x00, 0x41, 0x41, 0x36, 0x08, }; // } 93
//const unsigned char char_TILDE[] PROGMEM =      {   0x00, 0x08, 0x04, 0x08, 0x10, 0x08, }; // ~ 94

const unsigned char char_0[] PROGMEM = {   0x00, 0x3E, 0x51, 0x49, 0x45, 0x3E, }; // 0 16
const unsigned char char_1[] PROGMEM = {   0x00, 0x00, 0x42, 0x7F, 0x40, 0x00, }; // 1 17
const unsigned char char_2[] PROGMEM = {   0x00, 0x42, 0x61, 0x51, 0x49, 0x46, }; // 2 18
const unsigned char char_3[] PROGMEM = {   0x00, 0x21, 0x41, 0x45, 0x4B, 0x31, }; // 3 19
const unsigned char char_4[] PROGMEM = {   0x00, 0x18, 0x14, 0x12, 0x7F, 0x10, }; // 4 20
const unsigned char char_5[] PROGMEM = {   0x00, 0x27, 0x45, 0x45, 0x45, 0x39, }; // 5 21
const unsigned char char_6[] PROGMEM = {   0x00, 0x3C, 0x4A, 0x49, 0x49, 0x30, }; // 6 22
const unsigned char char_7[] PROGMEM = {   0x00, 0x01, 0x71, 0x09, 0x05, 0x03, }; // 7 23
const unsigned char char_8[] PROGMEM = {   0x00, 0x36, 0x49, 0x49, 0x49, 0x36, }; // 8 24
const unsigned char char_9[] PROGMEM = {   0x00, 0x06, 0x49, 0x49, 0x29, 0x1E, }; // 9 25

//const unsigned char char_A[] PROGMEM = {   0x00, 0x7C, 0x12, 0x11, 0x12, 0x7C, }; // A 33
//const unsigned char char_B[] PROGMEM = {   0x00, 0x7F, 0x49, 0x49, 0x49, 0x36, }; // B 34
//const unsigned char char_C[] PROGMEM = {   0x00, 0x3E, 0x41, 0x41, 0x41, 0x22, }; // C 35
//const unsigned char char_D[] PROGMEM = {   0x00, 0x7F, 0x41, 0x41, 0x22, 0x1C, }; // D 36
//const unsigned char char_E[] PROGMEM = {   0x00, 0x7F, 0x49, 0x49, 0x49, 0x41, }; // E 37
//const unsigned char char_F[] PROGMEM = {   0x00, 0x7F, 0x09, 0x09, 0x09, 0x01, }; // F 38
const unsigned char char_G[] PROGMEM = {   0x00, 0x3E, 0x41, 0x49, 0x49, 0x7A, }; // G 39
const unsigned char char_H[] PROGMEM = {   0x00, 0x7F, 0x08, 0x08, 0x08, 0x7F, }; // H 40
//const unsigned char char_I[] PROGMEM = {   0x00, 0x00, 0x41, 0x7F, 0x41, 0x00, }; // I 41
//const unsigned char char_J[] PROGMEM = {   0x00, 0x20, 0x40, 0x41, 0x3F, 0x01, }; // J 42
//const unsigned char char_K[] PROGMEM = {   0x00, 0x7F, 0x08, 0x14, 0x22, 0x41, }; // K 43
//const unsigned char char_L[] PROGMEM = {   0x00, 0x7F, 0x40, 0x40, 0x40, 0x40, }; // L 44
const unsigned char char_M[] PROGMEM = {   0x00, 0x7F, 0x02, 0x0C, 0x02, 0x7F, }; // M 45
const unsigned char char_N[] PROGMEM = {   0x00, 0x7F, 0x04, 0x08, 0x10, 0x7F, }; // N 46
const unsigned char char_O[] PROGMEM = {   0x00, 0x3E, 0x41, 0x41, 0x41, 0x3E, }; // O 47
const unsigned char char_P[] PROGMEM = {   0x00, 0x7F, 0x09, 0x09, 0x09, 0x06, }; // P 48
//const unsigned char char_Q[] PROGMEM = {   0x00, 0x3E, 0x41, 0x51, 0x21, 0x5E, }; // Q 49
//const unsigned char char_R[] PROGMEM = {   0x00, 0x7F, 0x09, 0x19, 0x29, 0x46, }; // R 50
const unsigned char char_S[] PROGMEM = {   0x00, 0x46, 0x49, 0x49, 0x49, 0x31, }; // S 51
const unsigned char char_T[] PROGMEM = {   0x00, 0x01, 0x01, 0x7F, 0x01, 0x01, }; // T 52
//const unsigned char char_U[] PROGMEM = {   0x00, 0x3F, 0x40, 0x40, 0x40, 0x3F, }; // U 53
//const unsigned char char_V[] PROGMEM = {   0x00, 0x1F, 0x20, 0x40, 0x20, 0x1F, }; // V 54
//const unsigned char char_W[] PROGMEM = {   0x00, 0x3F, 0x40, 0x38, 0x40, 0x3F, }; // W 55
//const unsigned char char_X[] PROGMEM = {   0x00, 0x63, 0x14, 0x08, 0x14, 0x63, }; // X 56
//const unsigned char char_Y[] PROGMEM = {   0x00, 0x07, 0x08, 0x70, 0x08, 0x07, }; // Y 57
//const unsigned char char_Z[] PROGMEM = {   0x00, 0x61, 0x51, 0x49, 0x45, 0x43, }; // Z 58

const unsigned char char_a[] PROGMEM = {   0x00, 0x20, 0x54, 0x54, 0x54, 0x78, }; // a 65
//const unsigned char char_b[] PROGMEM = {   0x00, 0x7F, 0x48, 0x44, 0x44, 0x38, }; // b 66
const unsigned char char_c[] PROGMEM = {   0x00, 0x38, 0x44, 0x44, 0x44, 0x20, }; // c 67
//const unsigned char char_d[] PROGMEM = {   0x00, 0x38, 0x44, 0x44, 0x48, 0x7F, }; // d 68
const unsigned char char_e[] PROGMEM = {   0x00, 0x38, 0x54, 0x54, 0x54, 0x18, }; // e 69
//const unsigned char char_f[] PROGMEM = {   0x00, 0x08, 0x7E, 0x09, 0x01, 0x02, }; // f 70
const unsigned char char_g[] PROGMEM = {   0x00, 0x18, 0xA4, 0xA4, 0xA4, 0x7C, }; // g 71
const unsigned char char_h[] PROGMEM = {   0x00, 0x7F, 0x08, 0x04, 0x04, 0x78, }; // h 72
const unsigned char char_i[] PROGMEM = {   0x00, 0x00, 0x44, 0x7D, 0x40, 0x00, }; // i 73
//const unsigned char char_j[] PROGMEM = {   0x00, 0x40, 0x80, 0x84, 0x7D, 0x00, }; // j 74
//const unsigned char char_k[] PROGMEM = {   0x00, 0x7F, 0x10, 0x28, 0x44, 0x00, }; // k 75
//const unsigned char char_l[] PROGMEM = {   0x00, 0x00, 0x41, 0x7F, 0x40, 0x00, }; // l 76
const unsigned char char_m[] PROGMEM = {   0x00, 0x7C, 0x04, 0x18, 0x04, 0x78, }; // m 77
const unsigned char char_n[] PROGMEM = {   0x00, 0x7C, 0x08, 0x04, 0x04, 0x78, }; // n 78
const unsigned char char_o[] PROGMEM = {   0x00, 0x38, 0x44, 0x44, 0x44, 0x38, }; // o 79
//const unsigned char char_p[] PROGMEM = {   0x00, 0xFC, 0x24, 0x24, 0x24, 0x18, }; // p 80
//const unsigned char char_q[] PROGMEM = {   0x00, 0x18, 0x24, 0x24, 0x18, 0xFC, }; // q 81
const unsigned char char_r[] PROGMEM = {   0x00, 0x7C, 0x08, 0x04, 0x04, 0x08, }; // r 82
const unsigned char char_s[] PROGMEM = {   0x00, 0x48, 0x54, 0x54, 0x54, 0x20, }; // s 83
const unsigned char char_t[] PROGMEM = {   0x00, 0x04, 0x3F, 0x44, 0x40, 0x20, }; // t 84
//const unsigned char char_u[] PROGMEM = {   0x00, 0x3C, 0x40, 0x40, 0x20, 0x7C, }; // u 85
const unsigned char char_v[] PROGMEM = {   0x00, 0x1C, 0x20, 0x40, 0x20, 0x1C, }; // v 86
const unsigned char char_w[] PROGMEM = {   0x00, 0x3C, 0x40, 0x30, 0x40, 0x3C, }; // w 87
//const unsigned char char_x[] PROGMEM = {   0x00, 0x44, 0x28, 0x10, 0x28, 0x44, }; // x 88
const unsigned char char_y[] PROGMEM = {   0x00, 0x1C, 0xA0, 0xA0, 0xA0, 0x7C, }; // y 89
//const unsigned char char_z[] PROGMEM = {   0x00, 0x44, 0x64, 0x54, 0x4C, 0x44, }; // z 90

/*
//----------------------------------------------------
// standard ASCII 6x8 font

const uint8_t font6x8[] PROGMEM = 
{
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, //   0 
  0x00, 0x00, 0x00, 0x2f, 0x00, 0x00, // ! 1 
  0x00, 0x00, 0x07, 0x00, 0x07, 0x00, // " 2 
  0x00, 0x14, 0x7f, 0x14, 0x7f, 0x14, // # 3 
  0x00, 0x24, 0x2a, 0x7f, 0x2a, 0x12, // $ 4 
  0x00, 0x23, 0x13, 0x08, 0x64, 0x62, // % 5 
  0x00, 0x36, 0x49, 0x55, 0x22, 0x50, // & 6 
  0x00, 0x00, 0x05, 0x03, 0x00, 0x00, // ' 7 
  0x00, 0x00, 0x1c, 0x22, 0x41, 0x00, // ( 8 
  0x00, 0x00, 0x41, 0x22, 0x1c, 0x00, // ) 9 
  0x00, 0x14, 0x08, 0x3E, 0x08, 0x14, // * 10
  0x00, 0x08, 0x08, 0x3E, 0x08, 0x08, // + 11
  0x00, 0x00, 0x00, 0xA0, 0x60, 0x00, // , 12
  0x00, 0x08, 0x08, 0x08, 0x08, 0x08, // - 13
  0x00, 0x00, 0x60, 0x60, 0x00, 0x00, // . 14
  0x00, 0x20, 0x10, 0x08, 0x04, 0x02, // / 15
  0x00, 0x3E, 0x51, 0x49, 0x45, 0x3E, // 0 16
  0x00, 0x00, 0x42, 0x7F, 0x40, 0x00, // 1 17
  0x00, 0x42, 0x61, 0x51, 0x49, 0x46, // 2 18
  0x00, 0x21, 0x41, 0x45, 0x4B, 0x31, // 3 19
  0x00, 0x18, 0x14, 0x12, 0x7F, 0x10, // 4 20
  0x00, 0x27, 0x45, 0x45, 0x45, 0x39, // 5 21
  0x00, 0x3C, 0x4A, 0x49, 0x49, 0x30, // 6 22
  0x00, 0x01, 0x71, 0x09, 0x05, 0x03, // 7 23
  0x00, 0x36, 0x49, 0x49, 0x49, 0x36, // 8 24
  0x00, 0x06, 0x49, 0x49, 0x29, 0x1E, // 9 25
  0x00, 0x00, 0x36, 0x36, 0x00, 0x00, // : 26
  0x00, 0x00, 0x56, 0x36, 0x00, 0x00, // ; 27
  0x00, 0x08, 0x14, 0x22, 0x41, 0x00, // < 28
  0x00, 0x14, 0x14, 0x14, 0x14, 0x14, // = 29
  0x00, 0x00, 0x41, 0x22, 0x14, 0x08, // > 30
  0x00, 0x02, 0x01, 0x51, 0x09, 0x06, // ? 31
  0x00, 0x32, 0x49, 0x59, 0x51, 0x3E, // @ 32
  0x00, 0x7C, 0x12, 0x11, 0x12, 0x7C, // A 33
  0x00, 0x7F, 0x49, 0x49, 0x49, 0x36, // B 34
  0x00, 0x3E, 0x41, 0x41, 0x41, 0x22, // C 35
  0x00, 0x7F, 0x41, 0x41, 0x22, 0x1C, // D 36
  0x00, 0x7F, 0x49, 0x49, 0x49, 0x41, // E 37
  0x00, 0x7F, 0x09, 0x09, 0x09, 0x01, // F 38
  0x00, 0x3E, 0x41, 0x49, 0x49, 0x7A, // G 39
  0x00, 0x7F, 0x08, 0x08, 0x08, 0x7F, // H 40
  0x00, 0x00, 0x41, 0x7F, 0x41, 0x00, // I 41
  0x00, 0x20, 0x40, 0x41, 0x3F, 0x01, // J 42
  0x00, 0x7F, 0x08, 0x14, 0x22, 0x41, // K 43
  0x00, 0x7F, 0x40, 0x40, 0x40, 0x40, // L 44
  0x00, 0x7F, 0x02, 0x0C, 0x02, 0x7F, // M 45
  0x00, 0x7F, 0x04, 0x08, 0x10, 0x7F, // N 46
  0x00, 0x3E, 0x41, 0x41, 0x41, 0x3E, // O 47
  0x00, 0x7F, 0x09, 0x09, 0x09, 0x06, // P 48
  0x00, 0x3E, 0x41, 0x51, 0x21, 0x5E, // Q 49
  0x00, 0x7F, 0x09, 0x19, 0x29, 0x46, // R 50
  0x00, 0x46, 0x49, 0x49, 0x49, 0x31, // S 51
  0x00, 0x01, 0x01, 0x7F, 0x01, 0x01, // T 52
  0x00, 0x3F, 0x40, 0x40, 0x40, 0x3F, // U 53
  0x00, 0x1F, 0x20, 0x40, 0x20, 0x1F, // V 54
  0x00, 0x3F, 0x40, 0x38, 0x40, 0x3F, // W 55
  0x00, 0x63, 0x14, 0x08, 0x14, 0x63, // X 56
  0x00, 0x07, 0x08, 0x70, 0x08, 0x07, // Y 57
  0x00, 0x61, 0x51, 0x49, 0x45, 0x43, // Z 58
  0x00, 0x00, 0x7F, 0x41, 0x41, 0x00, // [ 59
  0x00, 0x02, 0x04, 0x08, 0x10, 0x20, // \ 60
  0x00, 0x00, 0x41, 0x41, 0x7F, 0x00, // ] 61
  0x00, 0x04, 0x02, 0x01, 0x02, 0x04, // ^ 62
  0x00, 0x40, 0x40, 0x40, 0x40, 0x40, // _ 63
  0x00, 0x00, 0x01, 0x02, 0x04, 0x00, // ' 64
  0x00, 0x20, 0x54, 0x54, 0x54, 0x78, // a 65
  0x00, 0x7F, 0x48, 0x44, 0x44, 0x38, // b 66
  0x00, 0x38, 0x44, 0x44, 0x44, 0x20, // c 67
  0x00, 0x38, 0x44, 0x44, 0x48, 0x7F, // d 68
  0x00, 0x38, 0x54, 0x54, 0x54, 0x18, // e 69
  0x00, 0x08, 0x7E, 0x09, 0x01, 0x02, // f 70
  0x00, 0x18, 0xA4, 0xA4, 0xA4, 0x7C, // g 71
  0x00, 0x7F, 0x08, 0x04, 0x04, 0x78, // h 72
  0x00, 0x00, 0x44, 0x7D, 0x40, 0x00, // i 73
  0x00, 0x40, 0x80, 0x84, 0x7D, 0x00, // j 74
  0x00, 0x7F, 0x10, 0x28, 0x44, 0x00, // k 75
  0x00, 0x00, 0x41, 0x7F, 0x40, 0x00, // l 76
  0x00, 0x7C, 0x04, 0x18, 0x04, 0x78, // m 77
  0x00, 0x7C, 0x08, 0x04, 0x04, 0x78, // n 78
  0x00, 0x38, 0x44, 0x44, 0x44, 0x38, // o 79
  0x00, 0xFC, 0x24, 0x24, 0x24, 0x18, // p 80
  0x00, 0x18, 0x24, 0x24, 0x18, 0xFC, // q 81
  0x00, 0x7C, 0x08, 0x04, 0x04, 0x08, // r 82
  0x00, 0x48, 0x54, 0x54, 0x54, 0x20, // s 83
  0x00, 0x04, 0x3F, 0x44, 0x40, 0x20, // t 84
  0x00, 0x3C, 0x40, 0x40, 0x20, 0x7C, // u 85
  0x00, 0x1C, 0x20, 0x40, 0x20, 0x1C, // v 86
  0x00, 0x3C, 0x40, 0x30, 0x40, 0x3C, // w 87
  0x00, 0x44, 0x28, 0x10, 0x28, 0x44, // x 88
  0x00, 0x1C, 0xA0, 0xA0, 0xA0, 0x7C, // y 89
  0x00, 0x44, 0x64, 0x54, 0x4C, 0x44, // z 90
  0x00, 0x08, 0x36, 0x41, 0x41, 0x00, // { 91
  0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, // | 92
  0x00, 0x00, 0x41, 0x41, 0x36, 0x08, // } 93
  0x00, 0x08, 0x04, 0x08, 0x10, 0x08, // ~ 94
};
*/


//----------------------------------------------------
// music and sound effects
//
// https://github.com/mikemalburg/arduino_annoyotrons_piezo/blob/master/annoy_piezo_mario_overworld/annoy_piezo_mario_overworld.ino

// musical note frequencies:
#define NOTE_B0  31
#define NOTE_C1  33
#define NOTE_CS1 35
#define NOTE_D1  37
#define NOTE_DS1 39
#define NOTE_E1  41
#define NOTE_F1  44
#define NOTE_FS1 46
#define NOTE_G1  49
#define NOTE_GS1 52
#define NOTE_A1  55
#define NOTE_AS1 58
#define NOTE_B1  62
#define NOTE_C2  65
#define NOTE_CS2 69
#define NOTE_D2  73
#define NOTE_DS2 78
#define NOTE_E2  82
#define NOTE_F2  87
#define NOTE_FS2 93
#define NOTE_G2  98
#define NOTE_GS2 104
#define NOTE_A2  110
#define NOTE_AS2 117
#define NOTE_B2  123
#define NOTE_C3  131
#define NOTE_CS3 139
#define NOTE_D3  147
#define NOTE_DS3 156
#define NOTE_E3  165
#define NOTE_F3  175
#define NOTE_FS3 185
#define NOTE_G3  196
#define NOTE_GS3 208
#define NOTE_A3  220
#define NOTE_AS3 233
#define NOTE_B3  247
#define NOTE_C4  262
#define NOTE_CS4 277
#define NOTE_D4  294
#define NOTE_DS4 311
#define NOTE_E4  330
#define NOTE_F4  349
#define NOTE_FS4 370
#define NOTE_G4  392
#define NOTE_GS4 415
#define NOTE_A4  440
#define NOTE_AS4 466
#define NOTE_B4  494
#define NOTE_C5  523
#define NOTE_CS5 554
#define NOTE_D5  587
#define NOTE_DS5 622
#define NOTE_E5  659
#define NOTE_F5  698
#define NOTE_FS5 740
#define NOTE_G5  784
#define NOTE_GS5 831
#define NOTE_A5  880
#define NOTE_AS5 932
#define NOTE_B5  988
#define NOTE_C6  1047
#define NOTE_CS6 1109
#define NOTE_D6  1175
#define NOTE_DS6 1245
#define NOTE_E6  1319
#define NOTE_F6  1397
#define NOTE_FS6 1480
#define NOTE_G6  1568
#define NOTE_GS6 1661
#define NOTE_A6  1760
#define NOTE_AS6 1865
#define NOTE_B6  1976
#define NOTE_C7  2093
#define NOTE_CS7 2217
#define NOTE_D7  2349
#define NOTE_DS7 2489
#define NOTE_E7  2637
#define NOTE_F7  2794
#define NOTE_FS7 2960
#define NOTE_G7  3136
#define NOTE_GS7 3322
#define NOTE_A7  3520
#define NOTE_AS7 3729
#define NOTE_B7  3951
#define NOTE_C8  4186
#define NOTE_CS8 4435
#define NOTE_D8  4699
#define NOTE_DS8 4978

// sound effects:
static const uint16_t CoinSound[] PROGMEM = {NOTE_B5, NOTE_E6};
static const uint8_t CoinSound_Durations[] PROGMEM = {8, 4};
static const uint16_t  JumpSound[] PROGMEM = {NOTE_C6, NOTE_G6, NOTE_C7};
static const uint8_t JumpSound_Durations[] PROGMEM = {32,32,32};
//static const uint16_t  HitHeadSound[] PROGMEM = {NOTE_C3};
//static const uint8_t HitHead_Durations[] PROGMEM = {16};

// music:


static const uint16_t Melody_Intro[] PROGMEM = 
{
  NOTE_E4, NOTE_E4, 0, NOTE_E4,
  0, NOTE_C4, NOTE_E4, 0,
  NOTE_G4, 0, 0,
  NOTE_G3, 0, 0, 
};
static const uint8_t NoteDurations_Intro[] PROGMEM = 
{ 
  8, 8, 8, 8,
  8, 8, 8, 8,
  8, 4, 8,
  8, 4, 8,
};



static const uint16_t  Melody_Refrain[] PROGMEM =
{
  NOTE_C4, 0, NOTE_G3,
  0, NOTE_E3, 0,
  NOTE_A3, 0, NOTE_B3,
  0, NOTE_AS3, NOTE_A3, 0,
  
  NOTE_G3, NOTE_E4, NOTE_G4,
  NOTE_A4, 0, NOTE_F4, NOTE_G4,
  0, NOTE_E4, 0, NOTE_C4,
  NOTE_D4, NOTE_B3, 0
};
static const uint8_t NoteDurations_Refrain[] PROGMEM = 
{
  8, 4, 8,
  4, 8, 4,
  8, 8, 8,
  8, 8, 8, 8,
  
  4, 4, 4,
  8, 8, 8, 8,
  8, 8, 8, 8,
  8, 8, 4
};



static const uint16_t  Melody_Part2_1[] PROGMEM =
{
  0, NOTE_G4, NOTE_FS4,
  NOTE_F4, NOTE_DS4, 0, NOTE_E4,
  0, NOTE_GS3, NOTE_A4, NOTE_C4,
  0, NOTE_A4, NOTE_C4, NOTE_D4,
};
static const uint8_t NoteDurations_Part2_1[] PROGMEM =
{
  4, 8, 8,
  8, 8, 8, 8,
  8, 8, 8, 8,
  8, 8, 8, 8,
};



static const uint16_t  Melody_Part2_2[] PROGMEM =
{
  0, NOTE_G4, NOTE_FS4,
  NOTE_F4, NOTE_DS4, 0, NOTE_E4,
  0, NOTE_C5, 0, NOTE_C5,
  NOTE_C5, 0, 0,
};
static const uint8_t NoteDurations_Part2_2[] PROGMEM =
{
  4, 8, 8,
  8, 8, 8, 8,
  8, 8, 8, 8,
  8, 8, 4
};



static const uint16_t  Melody_Part2_3 [] PROGMEM =
{
  0, NOTE_DS4, 0,
  0, NOTE_D4, 0,
  NOTE_C4, 0, 0,
  0
};
static const uint8_t NoteDurations_Part2_3 [] PROGMEM =
{
  4, 8, 8,
  8, 8, 4,
  8, 8, 4,
  2
};



static const uint16_t  Melody_Part3_1[] PROGMEM=
{
  NOTE_C4, NOTE_C4, 0, NOTE_C4,
  0, NOTE_C4, NOTE_D4, 0,
  NOTE_E4, NOTE_C4, 0, NOTE_A4,
  NOTE_G3, 0, 0,
};
static const uint8_t NoteDurations_Part3_1[] PROGMEM= 
{
  8, 8, 8, 8, 
  8, 8, 8, 8, 
  8, 8, 8, 8, 
  8, 8, 4,
};



static const uint16_t  Melody_Part3_2[] PROGMEM=
{
  NOTE_C4, NOTE_C4, 0, NOTE_C4,
  0, NOTE_C4, NOTE_D4, NOTE_E4,
  0,
};
static const uint8_t NoteDurations_Part3_2[] PROGMEM= 
{
  8, 8, 8, 8, 
  8, 8, 8, 8, 
  2,
};



static const uint16_t  Melody_Part3_3[] PROGMEM=
{
  NOTE_E4, NOTE_E4, 0, NOTE_E4,
  0, NOTE_C4, NOTE_E4, 0,
  NOTE_G4, 0, 0,
  NOTE_G3, 0, 0,
};
static const uint8_t NoteDurations_Part3_3[] PROGMEM= 
{
  8, 8, 8, 8, 
  8, 8, 8, 8, 
  8, 8, 4,
  8, 8, 4,
};
